package errs

var (
	Archived      = NewErr(100, "archived")
	EOFArchived   = NewErr(101, "EOF-archived")
	IO            = NewErr(102, "IO error")
	NotFound      = NewErr(103, "not found")
	Locked        = NewErr(104, "locked")
	NotAuthorized = NewErr(105, "not authorized")
	NotAllowed    = NewErr(106, "not allowed")
	Stopped       = NewErr(107, "stopped")
	Timeout       = NewErr(108, "timeout")
	Duplicate     = NewErr(109, "duplicate")
	ReadOnly      = NewErr(110, "read only")
	Encoding      = NewErr(111, "encoding")
	Closed        = NewErr(112, "closed")
	InvalidPath   = NewErr(200, "invalid path")
	Corrupt       = NewErr(666, "corrupt")
	Fatal         = NewErr(1053, "fatal")
	Unexpected    = NewErr(999, "unexpected")
)
