package mdb

type Info struct {
	SeqNum             int64 // In-memory sequence number.
	TimestampMS        int64 // In-memory timestamp.
	FileSeqNum         int64 // Page file sequence number.
	FileTimestampMS    int64 // Page file timestamp.
	WALFirstSeqNum     int64 // WAL min sequence number.
	WALLastSeqNum      int64 // WAL max sequence number.
	WALLastTimestampMS int64 // WAL timestamp.
}
